Ubuntu

usb-creator-gtk crashed with SIGSEGV in _dbus_watch_invalidate

Reported by stu green on 2012-01-12
764
This bug affects 127 people
Affects Status Importance Assigned to Milestone
dbus (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned
Saucy
Undecided
Unassigned
udisks (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned
Saucy
Undecided
Unassigned
usb-creator (Ubuntu)
High
Unassigned
Precise
High
Brian Murray
Quantal
High
Brian Murray
Raring
Undecided
Brian Murray
Saucy
High
Brian Murray

Bug Description

[Impact]
usb-creator is unable to create usb sticks with Ubuntu on it for lots of people, due to this crash.

[Test Case]
What is expected to happen is when one plug in a freshly FAT32 formatted drive (example hardware this is reproducible on, but not limited to):
Bus 004 Device 002: ID 1058:1130 Western Digital Technologies, Inc.

and clicks button Make Startup Disk, it doesn't crash. What happens is when it prompts for the sudo password, it crashes during this or after accepting the password.

We never came up with a reliable test case for creating the crash in this bug report. There are reports of being able to recreate it by using usb-creator on an amd64 system to create and i386 iso with persistence. However, I think the best way to verify the fix is to check the errors bucket and ensure that the -proposed versions of the package do not appear on that page.

Errors bucket:
https://errors.ubuntu.com/bucket/?id=/usr/bin/usb-creator-gtk:11:_dbus_watch_invalidate:free_watches:socket_disconnect:_dbus_transport_disconnect:_dbus_transport_disconnect
and possibly this bucket
https://errors.ubuntu.com/problem/2a6909bd90bfe27a333e310be9e091055841a810

To reproduce:
Fairly reliably reproducible with ubuntu-12.10-desktop-i386.iso or raring-desktop-i386.iso and choosing persitence on a 12.10/raring amd64 system.

Traceback:
Program received signal SIGSEGV, Segmentation fault.
_dbus_watch_invalidate (watch=0x0) at ../../dbus/dbus-watch.c:171
171 ../../dbus/dbus-watch.c: No such file or directory.

#0 _dbus_watch_invalidate (watch=0x0) at ../../dbus/dbus-watch.c:171
No locals.
#1 0x00007ffff5dec93d in free_watches (transport=transport@entry=0xf12590) at ../../dbus/dbus-transport-socket.c:83
        socket_transport = 0xf12590
#2 0x00007ffff5dec9a9 in socket_disconnect (transport=0xf12590) at ../../dbus/dbus-transport-socket.c:987
        socket_transport = 0xf12590
#3 0x00007ffff5debd67 in _dbus_transport_disconnect (transport=0xf12590) at ../../dbus/dbus-transport.c:509
No locals.
#4 _dbus_transport_disconnect (transport=0xf12590) at ../../dbus/dbus-transport.c:500
No locals.
#5 0x00007ffff5dec595 in _dbus_transport_queue_messages (transport=0xf12590) at ../../dbus/dbus-transport.c:1165
        status = <optimised out>
#6 0x00007ffff5dd48e4 in _dbus_connection_get_dispatch_status_unlocked (connection=0xf152b0) at ../../dbus/dbus-connection.c:4211
No locals.

It seems to be that NULL is passed to _dbus_watch_invalidate. And that function does not assert it's input. In the past this caused to crash tomboy (bug #1043887), evalution-data-server (bug #852342) and possible other software (e.g. https://bugzilla.redhat.com/show_bug.cgi?id=553601 ).

I'd like to open dbus bug and fix that function in dbus to be more resilient.

Attaching full gdb tracelog: https://bugs.launchpad.net/ubuntu/+source/usb-creator/+bug/915626/+attachment/3480179/+files/gdb-dbus.txt

Related branches

stu green (stugreen-h) wrote :

StacktraceTop:
 _dbus_watch_invalidate (watch=0x0) at ../../dbus/dbus-watch.c:154
 free_watches (transport=0x238c310) at ../../dbus/dbus-transport-socket.c:83
 socket_disconnect (transport=0x238c310) at ../../dbus/dbus-transport-socket.c:987
 _dbus_transport_disconnect (transport=0x238c310) at ../../dbus/dbus-transport.c:507
 _dbus_transport_disconnect (transport=0x238c310) at ../../dbus/dbus-transport.c:498

Changed in usb-creator (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in usb-creator (Ubuntu):
status: New → Confirmed
tags: added: running-unity
visibility: private → public
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/915626

tags: added: iso-testing
Brian Murray (brian-murray) wrote :

In one of the duplicates the reporter says:

Crashing while creating a GPT-formatted usb drive; somewhere during, or not long after running grub.

Changed in usb-creator (Ubuntu):
importance: Medium → High
tags: added: quantal
macstevejb (macstevejb) wrote :

I can confirm this problem...unable to complete usb creation on 2 different machines running 12.10 beta 2, however, I have no such problem in 12.04 LTS.

Using i386 version here.

Jeremy Bicha (jbicha) on 2012-09-28
tags: added: rls-mgr-q-incoming
tags: added: bugpattern-needed
tags: added: rls-q-incoming
removed: rls-mgr-q-incoming
Typhoe (spamistrash) wrote :

Using quantal up to date on 11/05/2012, trying to create an usb key of quantal AMD64, I get these crashes after I'm been asked for my password.

I'm using an usb 3 port (usb key is 2.0 only).

The password is asked pretty quick in regard of previous times (before quantal).

I tried to write the iso again, typing my password as soon as it's asked for, same crash!

I tried to wait (till the usb key led stopped blinking), then typed my password, the creation of the ubuntu usb key worked!

I'll guess the program doesn't wait enough time before trying to make the usb key bootable.

regards.

Brian Murray (brian-murray) wrote :

I've tried multiple times to recreate this bug with no luck. I've run usb-creator as sudo, thereby avoiding the password prompt, and had my usb stick in a older usb hub. Perhaps it has to do with how the usb stick is formatted?

tags: removed: rls-q-incoming

Hello Brian,
I hope you can read and understand my English.
On my other laptop I installed Xubuntu 12.10 today and there was no problem.
So I tried on my "normal", with 3 partitions for 3 installations.
I tried to reproduce the error, but all seems to work now, don't ask me
why :-)

Kindly regards,
Ron

Op 05-10-12 22:09, Brian Murray schreef:
> I've tried multiple times to recreate this bug with no luck. I've run
> usb-creator as sudo, thereby avoiding the password prompt, and had my
> usb stick in a older usb hub. Perhaps it has to do with how the usb
> stick is formatted?
>
> ** Also affects: usb-creator (Ubuntu Quantal)
> Importance: High
> Status: Confirmed
>
> ** Tags removed: rls-q-incoming
>

I just got u-c-g to crash for me, with at least a similar looking stacktrace. Will investigate further.

Barry Warsaw (barry) wrote :

I was able to reproduce this, with a similar looking traceback. I'll investigate further.

However, suspiciously, after the crash, my machine became totally unresponsive to keyboard input, ssh, etc. I couldn't even get a top to see what was going on. I don't see anything suspicious in the logs. This required a hard power cycle. Has anybody else seen that?

Barry Warsaw (barry) wrote :

Happened again - usb-creator-gtk invocation caused resource depletion and system hang. I managed to capture the top two 100% cpu hogs in top before the system stopped responding:

udisk-helper-modify-partition
/usr/lib/udisks/udisks-daemon

I'll add udisk as a bug task for now, though this could be a separate problem.

Barry Warsaw (barry) wrote :

Okay, I think my crash is a different problem, so that's reported as LP: #1064072

I can't reproduce the original problem.

The udisks CPU consumption seems to be related to erasing the usb drive. If I do that out-of-band, then the 100% consumption by u-h-m-p and u-d don't occur.

Barry Warsaw (barry) wrote :

So, given that the current crash is a different but, try as I might, I can't reproduce the original bug report.

I have moved away from lubuntu for now so I won't get a chance to test the
same configuration again.

Chris Hermansen · <email address hidden>

C'est ma façon de parler.
On Oct 8, 2012 3:05 PM, "Barry Warsaw" <email address hidden> wrote:

> So, given that the current crash is a different but, try as I might, I
> can't reproduce the original bug report.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1060345).
> https://bugs.launchpad.net/bugs/915626
>
> Title:
> usb-creator-gtk crashed with SIGSEGV
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/udisks/+bug/915626/+subscriptions
>

Colin Watson (cjwatson) on 2012-10-10
Changed in usb-creator (Ubuntu Quantal):
milestone: none → quantal-updates
Changed in udisks (Ubuntu Quantal):
milestone: none → quantal-updates

I tried to revert to older packages tonight, reverting all the usb-creator-{gtk,common} and udisks packages.

Possibly another dependency causing the issues.

Jonathan Archer (jonar) wrote :

sorry should have added to my previous comment that reverting still gave the same crash.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in udisks (Ubuntu):
status: New → Confirmed
James Hunt (jamesodhunt) wrote :

Can't reproduce but the following unhandled errors which appear commonly in the duplicate bugs look interesting:

usb-creator 2012-08-29 20:43:36,058 (ERROR) connection.py:646: Unable to set arguments (None,) according to signature u's': <type 'exceptions.TypeError'>: Expected a string or unicode object
usb-creator 2012-08-29 20:43:36,058 (ERROR) frontend.py:679: Installation failed.
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/usbcreator/frontends/gtk/frontend.py", line 616, in install
    allow_system_internal=self.allow_system_internal)
  File "/usr/lib/python2.7/dist-packages/usbcreator/backends/udisks/backend.py", line 349, in install
    self.helper.Unmount(target)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 641, in call_blocking
    message.append(signature=signature, *args)
TypeError: Expected a string or unicode object

usb-creator 2012-08-25 12:20:49,988 (ERROR) backend.py:155: Could not mount the device:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/usbcreator/backends/udisks/backend.py", line 153, in _add_partition
    self.retry_mount(device)
  File "/usr/lib/python2.7/dist-packages/usbcreator/backends/udisks/backend.py", line 45, in retry_mount
    device_i.FilesystemMount('', [])
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.UDisks.Error.FilesystemDriverMissing: Error mounting: mount: no medium found on /dev/sdb1

Joey Stanford (joey) wrote :

Hi,

I just ran this again this morning with the intent of valgrinding the output... and it didn't fail (which is a first).

I'm on Quantal with usb-creator-gtk 0.2.40ubuntu1

The valgrind log did have some error activity though so I'm posting this up.

Joey

tags: added: i386

Marking Triaged for Quantal due to Bug Description.

description: updated
Changed in usb-creator (Ubuntu Quantal):
status: Confirmed → Triaged
tags: removed: bugpattern-needed
description: updated
Cameron Smith (cameron-smith) wrote :

I was brought here by the retracer. I am running 12.10 64-bit on a Samsung NP900X4C. The bug can only be reproduced with certain ISO files:
 - with ubuntu-12.10-desktop-i386.iso it happens every time
 - with ubuntu-12.04.1-dvd-amd64.iso the USB creator works perfectly first time and the resulting flash drive boots perfectly into 12.04, first time. Using the graphical installer from within the booted Ubuntu, that works fine too.

Brian Murray (brian-murray) wrote :

I tried recreating this on a 12.10 system using usb-creator version 0.2.40ubuntu1 with the ubuntu-12.10-desktop-i386.iso (with md5sum b4191c1d1d6fdf358c154f8bf86b97dd) and was unsuccessful. What is the md5sum of your image Cameron?

Brian Murray (brian-murray) wrote :

Ah, I seem to have been able to recreate this when using ubuntu-12.10-desktop-i386.iso and not choosing persistence after reformatting my drive with usb-creator-gtk.

Brian Murray (brian-murray) wrote :

However, it only has happened 1 out of 3 times.

Cameron Smith (cameron-smith) wrote :

Brian, my ISO is the same - it has the md5sum b4191c1d1d6fdf358c154f8bf86b97dd

I am able to recreate the problem with this ISO consistently by CHOOSING the persistence option.

Brian Murray (brian-murray) wrote :

I've been able to recreate this about 50% of the time using the ubuntu-12.10-desktop-i386.iso and choosing persitence on a 12.10 amd64 system.

Changed in usb-creator (Ubuntu):
assignee: nobody → Dmitrijs Ledkovs (xnox)
Changed in usb-creator (Ubuntu):
status: Confirmed → In Progress
description: updated
summary: - usb-creator-gtk crashed with SIGSEGV
+ usb-creator-gtk crashed with SIGSEGV in _dbus_watch_invalidate
Changed in dbus (Ubuntu):
status: New → Confirmed
Changed in dbus (Ubuntu Quantal):
status: New → Confirmed
Dimitri John Ledkov (xnox) wrote :
description: updated
Michael Ireland (irelands-the) wrote :

Forgive me if this is redundant, but I figured I would add my experience.

1. I am using 12.10 on my machine. My USB stick is a Verbatim Tuff & Tiny 8GB.

2. I am creating a USB installer using the 12.04.1 ISO which I downloaded today. I selected 1GB persistence.

3. As someone else mentioned above, if I type in my password at the bootloader prompt as soon as it shows, or shortly after, the identical crash & stacktrace occurs.

4. If I delay typing in my password for approximately 5 minutes (my USB stick does not have an activity LED), the job completes with no errors.

5. In two cases, I selected to submit the error report. Not sure if this produces excessive error log noise for the various devs to wrangle through.

I am willing to continue assisting and/or testing when and if I am able.

-Mike

tags: added: raring
Fabio Marconi (fabiomarconi) wrote :

present in raring alpha2
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Brant Gardner (brantcgardner) wrote :

I got this crash consistently several times in a row while trying to update my USB stick to Quantal. After reading through the comments, I tried the following experiment:

1. Run USB Disk Creator, but at the first prompt for password (for writing the boot information), I opened a terminal and called "sync", then waited for that to return.
2. After that completed, I went back to the prompt window and typed in my password.
3. I went ahead and selected a persistence file and USB Disk Creator completed without crashing.

I'm running Quantal amd64 and the image I used was the Quantal amd64 image.

- Brant

Changed in usb-creator (Ubuntu):
status: In Progress → Triaged
assignee: Dmitrijs Ledkovs (xnox) → nobody
Fabio Marconi (fabiomarconi) wrote :

present in raring 20130321
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Kameron Easton (kameroneaston) wrote :

Usb-creator has been broken for so many releases of Ubuntu, I don't know why it's still being shipped with the distribution. What does it take to remove it entirely and replace it with unetbootin, which has worked for me for years?

Now that the Ubuntu family have hybrid ISOs, I personally use "dd"
except when I'm actually testing. Can't argue with your basic premise,
though.

On 28/04/13 14:37, Kameron Easton wrote:
> Usb-creator has been broken for so many releases of Ubuntu, I don't know
> why it's still being shipped with the distribution. What does it take to
> remove it entirely and replace it with unetbootin, which has worked for
> me for years?
>

--
Dr John Webster
365 Table Top Road
Bridge Creek
Victoria 3723
Australia

ph/fax: +613-5776-9875
mobile: +614-3936-6999

Changed in usb-creator (Ubuntu Quantal):
status: Triaged → Won't Fix
Michael (michaeljt) wrote :

Michael Ireland, thank you for the five minute suggestion. That makes it work for me.

Apologies if I go on a bit of a rant, but this bug has persisted across multiple releases for me and, judging by the number of duplicates and the number of forum postings that I see on this topic, it seems rather ridiculous that this hadn't been addressed. Is there some technical reason for this bug? Not being a programmer, I can't comment on the difficulty of solving the problem, but it sure seems like such a critical bug in what is probably some people's first introduction to Ubuntu should not be persisting for this long.

Imagine the following conversation:
"Hey, do you want to try Ubuntu? I can throw it onto a USB stick and let you give it a try."
"Sure."
"Hmm, it looks like I'm having some trouble creating the USB stick. Hang on, let me Google around a bit to see if I can figure out why it keeps crashing."
-- after 2-3 minutes of looking for a fix --
"Never mind, if Ubuntu requires this much work I don't have time."

Changed in dbus (Ubuntu):
status: Confirmed → Fix Released
Mathew Roy (mathewroy007) wrote :

Sorry, I accidentally changed the status to "FIX released".. And I cannot change it back.. sorry for the trouble.. I came here looking for a solution..
This bug affects me too.

Changed in dbus (Ubuntu):
status: Fix Released → Confirmed
sudodus (nio-wiklund) wrote :

Testing Lubuntu Saucy 32-bit. Maybe it is this bug, maybe one of all the other bugs. Some minutes ago, the pendrive did not boot.

This time even the casper-rw file was created. Maybe persistence will work. Maybe my two crashes are different.

sudodus (nio-wiklund) wrote :

usb-creator-gtk created the live part of the installer, but crashed with segfault and failed to create a casper-rw file.

I think it is Bug #915626

"usb-creator-gtk crashed with SIGSEGV in _dbus_watch_invalidate"

because the error output contains

'Failed to connect to socket /tmp/dbus-(and a temporary file string)'
-----
The pendrive made during the attempt described above did not boot at all. I should add that I told usb-creator-gtk to 'erase the disk'.

I wiped the first megabyte (dd with zeros), used gparted to make a new partition table and a partition with fat32. Then I tried usb-creator-gtk again. I got the same or a similar segfault, but this time the casper-rw file was created and the drive could boot. There is even persistence now.

Conclusion:

Erasing a USB pendrive with usb-creator-gtk is not enough to make it work properly.

Wiping the first megabyte (dd with zeros) will make it stop and complain.

It is necessary to make a partition table. I made a partition and a file system too, did not test the other alternatives.

So to increase the chances to succeed with usb-creator-gtk, I recommend wiping the first megabyte and making a new msdos partition table, partition and fat32 file system.

Comment:

usb-creator-gtk should be able to do all that by itself, when told to 'erase the disk'.
-----
So finally the program did its job, although it reported a segfault instead of normal termination.

Chris Wulff (crwulff) wrote :

It looks to me like this is a failure due to not initializing multi-threading in dbus. Two threads appear to be closing the connection at once and thus the second thread crashes since there is no locking. The attached patch appears to fix the problem for me at least.

The attachment "fix_dbus_crash.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Changed in udisks (Ubuntu):
status: Confirmed → Invalid
Changed in usb-creator (Ubuntu):
status: Triaged → Fix Committed
Changed in dbus (Ubuntu):
status: Confirmed → Invalid
Changed in dbus (Ubuntu Quantal):
status: Confirmed → Invalid
Changed in udisks (Ubuntu Quantal):
status: Confirmed → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-creator - 0.2.51

---------------
usb-creator (0.2.51) trusty; urgency=low

  [ Chris Wulff ]
  * Initialise threads, before starting background task thread. (LP:
    #915626)
 -- Dmitrijs Ledkovs <email address hidden> Mon, 02 Dec 2013 21:51:27 +0000

Changed in usb-creator (Ubuntu):
status: Fix Committed → Fix Released
Changed in usb-creator (Ubuntu Quantal):
status: Won't Fix → Triaged
Changed in usb-creator (Ubuntu Raring):
status: New → Triaged
Changed in usb-creator (Ubuntu Saucy):
status: New → Triaged
Changed in usb-creator (Ubuntu Precise):
status: New → Triaged
Changed in udisks (Ubuntu Precise):
status: New → Invalid
Changed in udisks (Ubuntu Raring):
status: New → Invalid
Changed in udisks (Ubuntu Saucy):
status: New → Invalid
Changed in dbus (Ubuntu Raring):
status: New → Invalid
Changed in dbus (Ubuntu Saucy):
status: New → Invalid
Changed in dbus (Ubuntu Precise):
status: New → Invalid
description: updated
Changed in usb-creator (Ubuntu Saucy):
assignee: nobody → Brian Murray (brian-murray)
importance: Undecided → High
status: Triaged → In Progress
Changed in usb-creator (Ubuntu Raring):
assignee: nobody → Brian Murray (brian-murray)
status: Triaged → In Progress
Changed in usb-creator (Ubuntu Quantal):
assignee: nobody → Brian Murray (brian-murray)
status: Triaged → In Progress
Changed in usb-creator (Ubuntu Precise):
assignee: nobody → Brian Murray (brian-murray)
importance: Undecided → High
status: Triaged → In Progress
description: updated
description: updated

Hello stu, or anyone else affected,

Accepted usb-creator into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/usb-creator/0.2.50.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in usb-creator (Ubuntu Saucy):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in usb-creator (Ubuntu Precise):
status: In Progress → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello stu, or anyone else affected,

Accepted usb-creator into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/usb-creator/0.2.38.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in usb-creator (Ubuntu Quantal):
status: In Progress → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello stu, or anyone else affected,

Accepted usb-creator into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/usb-creator/0.2.40ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Pilot6 (hanipouspilot) wrote :

Chris,

Why update the package for precise, if it always worked well? The package was broken in quantal and further.

Chris Halse Rogers (raof) wrote :

Hello stu, or anyone else affected,

Accepted usb-creator into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/usb-creator/0.2.47.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in usb-creator (Ubuntu Raring):
status: In Progress → Fix Committed
Pilot6 (hanipouspilot) wrote :

Tested for raring. Successful.

On 18 December 2013 07:18, Pilot6 <email address hidden> wrote:
> Chris,
>
> Why update the package for precise, if it always worked well? The
> package was broken in quantal and further.
>

submitted crash reports suggest otherwise. It is a racy bug, and thus
not always easy to reproduce.
Also note that this master bug, and many duplicates have been reported
during precise development cycle _before_ it was released.

Regards,

Dimitri.

Pilot6 (hanipouspilot) wrote :

Disk was created successfully, but disk erase crashed.

Pilot6 (hanipouspilot) wrote :

org.freedesktop.UDisks.Error.Failed: Error starting job: Failed to fork (Cannot allocate memory)

Pilot6 (hanipouspilot) wrote :

After reboot, installed a LiveUSB, tried to erase. Crashed with

org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Dimitri John Ledkov (xnox) wrote :

On 18 December 2013 07:45, Pilot6 <email address hidden> wrote:
> Tested for raring. Successful.
>

Can you please elaborate full steps taken to test this?

E.g. output of " $ apt-cache policy usb-creator-common ", Usb sticks
used, iso images attempted to be converted to usb-stick, what is the
operating system / installation type used to perform the conversion.

--
Regards,

Dimitri.

Pilot6 (hanipouspilot) wrote :

No problem. I installed 0.2.47.2 from a deb package

pilot6@Pilot6:~$ dpkg -l | grep usb-creator-common
ii usb-creator-common 0.2.47.2 amd64 create a startup disk using a CD or disc image (common files

apt-cache policy usb-creator-common
usb-creator-common:
  Установлен: 0.2.47.2
  Кандидат: 0.2.47.2
  Таблица версий:
 *** 0.2.47.2 0
        100 /var/lib/dpkg/status
     0.2.47.1 0
        500 http://mirror.corbina.net/ubuntu/ raring-updates/main amd64 Packages
        500 http://mirror.corbina.net/ubuntu/ raring-security/main amd64 Packages
     0.2.47 0
        500 http://mirror.corbina.net/ubuntu/ raring/main amd64 Packages

USB stick
Bus 002 Device 004: ID 090c:1000 Silicon Motion, Inc. - Taiwan (formerly Feiya Technology Corp.) 64MB QDI U2 DISK

I installed ubuntu-12.04.3-desktop-amd64 successfully, then tried to erase the stick and crashed.

Pilot6 (hanipouspilot) wrote :

Now tested same USB stick on Ubuntu 12.04. It was successfully erased using usb-creator.

Dimitri John Ledkov (xnox) wrote :

... and you also installed matching usb-creator-gtk?

Pilot6 (hanipouspilot) wrote :

No. I did not install anythyng on 12.04. I tried just to make sure that the problem is not with usb stick or something of that kind.
0.2.38.2 is installed there. Works perfectly.

sudodus (nio-wiklund) wrote :

I tested usb-creator-gtk in an updated/dist-upgraded Lubuntu 13.10 i386 installation. I created persistence and the whole process was much nicer than before. It works without any segfaults :-)

But I can confirm that it crashed when I tried to erase disk. The disk was not erased. The partition is still there, and the files are still there. Is this another bug? Should it be reported to Launchpad?

Fortunately there is gparted, so we don't really need the erase disk function of usb-creator-gtk.

Chris Halse Rogers, verification-done for Saucy.

lsb_release -rd
Description: Ubuntu 13.10
Release: 13.10

apt-cache policy usb-creator-gtk
usb-creator-gtk:
  Installed: 0.2.50.1
  Candidate: 0.2.50.1
  Version table:
 *** 0.2.50.1 0
        400 http://us.archive.ubuntu.com/ubuntu/ saucy-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.2.50 0
        500 http://us.archive.ubuntu.com/ubuntu/ saucy/main amd64 Packages

With the prior version of usb-creator-gtk, crashes as documented in https://bugs.launchpad.net/ubuntu/+source/usb-creator/+bug/1262293 . With the proposed version, no crash.

tags: added: verification-done
removed: verification-needed
tags: added: verification-done-saucy verification-needed
removed: verification-done
Pilot6 (hanipouspilot) wrote :

Same crash in saucy

org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

tags: added: verification-failed-raring vrification-failed-saucy
removed: verification-done-saucy
tags: added: verification-failed-saucy
removed: vrification-failed-saucy

Pilot6, could you please restart your computer, retest, and if reproducible then post the results of the following at a terminal:
apt-cache policy usb-creator-gtk

tags: added: verification-done-saucy
removed: verification-failed-raring verification-failed-saucy
Pilot6 (hanipouspilot) wrote :

It is reproducible. After I press 'Erase disk' I get a crash

pilot6@Pilot6:~$ apt-cache policy usb-creator-gtk
usb-creator-gtk:
  Установлен: 0.2.50.1
  Кандидат: 0.2.50.1
  Таблица версий:
 *** 0.2.50.1 0
        100 /var/lib/dpkg/status
     0.2.50 0
        500 http://mirror.corbina.net/ubuntu/ saucy/main amd64 Packages

Pilot6 (hanipouspilot) wrote :

But main functionality is fixed now. It is possible to make bootable sticks now.

Pilot6, thank you for providing the requested information. I also got the 'Erase disk' problem, but this is a different problem, covered in:
https://bugs.launchpad.net/ubuntu/+source/udisks/+bug/1092195

The patch for this report was targeting only the fact that when one attempted to make a bootable media via clicking the button Make Startup Disk, it would crash during this process.

description: updated
sudodus (nio-wiklund) wrote :

Thanks for explaining the different problems and bug reports, and above all, thanks for making the main task of usb-creator-gtk working again :-)

Pilot6 (hanipouspilot) wrote :

Christofer,

I never thought, that regression is a new bug.

Works for me, thx! Issue #694060 still exists.

Brian Murray (brian-murray) wrote :

@Gunnar - on what release does it work for you?

Chris Hermansen (c-hermansen) wrote :

Chiming in here...

On 13.10 I find it works reliably if I use it with gksudo.

Regards, Chris Hermansen
On Jan 3, 2014 9:30 AM, "Brian Murray" <email address hidden> wrote:

> @Gunnar - on what release does it work for you?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1060345).
> https://bugs.launchpad.net/bugs/915626
>
> Title:
> usb-creator-gtk crashed with SIGSEGV in _dbus_watch_invalidate
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/dbus/+bug/915626/+subscriptions
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-creator - 0.2.50.1

---------------
usb-creator (0.2.50.1) saucy-proposed; urgency=low

  [ Chris Wulff ]
  * Initialise threads, before starting background task thread. (LP:
    #915626)
 -- Brian Murray <email address hidden> Mon, 16 Dec 2013 15:43:37 -0800

Changed in usb-creator (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-creator - 0.2.47.2

---------------
usb-creator (0.2.47.2) raring-proposed; urgency=low

  [ Chris Wulff ]
  * Initialise threads, before starting background task thread. (LP:
    #915626)
 -- Brian Murray <email address hidden> Mon, 16 Dec 2013 15:46:54 -0800

Changed in usb-creator (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers